Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc
Interface MUCUser

All Superinterfaces:
  ChannelHandler<org.xmpp.packet.Packet>

All Known Implementing Classes:
  LocalMUCUser, RemoteMUCUser

    public interface MUCUser

extends ChannelHandler<org.xmpp.packet.Packet>

The chat user is a separate user abstraction for interacting with the chat server. Centralizing chat users to the Jabber entity that sends and receives the chat messages allows us to create quality of service, authorization, and resource decisions on a real-user basis.

Most chat users in a typical s2s scenario will not be local users.

MUCUsers play one or more roles in one or more chat rooms on the server.

Author:
  Gaston Dombiak

Method Summary
`org.xmpp.packet.JID` | `getAddress()` Obtain the address of the user.

Methods inherited from interface org.jivesoftware.openfire.ChannelHandler
`process`

Method Detail

### getAddress

    org.xmpp.packet.JID getAddress()

  Obtain the address of the user. The address is used by services like the core server packet router to determine if a packet should be sent to the handler. Handlers that are working on behalf of the server should use the generic server hostname address (e.g. server.com).

  Returns:
    the address of the packet handler.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.